/* GKrellM giFT plugin
 * Copyright (C) 2002, 2003 Tilman Sauerbeck <tilman@code-monkey.de>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of version 2 of the GNU General Public License as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307,  USA.
 *
 */

#ifndef __CFG_H
#define __CFG_H

typedef struct
{
	GkrellmChartconfig*chart_cfg;
	GdkColor transfer_color[DIR_NUM]; /* colors used for downloads and uploads */
	gchar *host;
	gint port;
	gint max_transfers[DIR_NUM]; /* no. of max. transfers to display */
	gboolean show_chart;
	gboolean show_panels;
	gboolean show_chart_lbl;
	gchar *chart_lbl_fmt; /* format string */
} giFTConfig;

void gift_config_create (GtkWidget *);
void gift_config_apply ();
void gift_config_save (FILE *);
void gift_config_load (gchar *);
void gift_read_gift_config (giFTConfig *);

#endif

