/* GKrellM giFT plugin
 * Copyright (C) 2002, 2003 Tilman Sauerbeck <tilman@code-monkey.de>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of version 2 of the GNU General Public License as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307,  USA.
 *
 */

#ifndef __GIFT_H
#define __GIFT_H

Transfer *gift_lookup_transfer (EventID *);
GdkColormap *gift_get_colormap ();
void gift_transfer_add (Transfer *);
void gift_transfer_remove (Transfer *);
void gift_monitor_disabled ();
void gift_try_connect ();
void gift_transfer_make_visible (TransferDirection);
void gift_panels_set_visibility (gboolean);
void gift_chart_set_visibility ();
void gift_stats_set (giFTStats);
giFTStats gift_stats_get ();
gboolean gift_is_free_transfer_slot (TransferDirection);

#endif
